access: get/set coordinate values, make objects, clear geometries, append point(s)

## Classes

struct | boost::geometry::radius_type< Geometry >
| Metafunction to get the type of radius of a circle / sphere / ellipse / etc. More...

## Functions

template<std::size_t I, typename Geometry >
radius_type< Geometry >::type | boost::geometry::get_radius (Geometry const &geometry)
| Function to get radius of a circle / sphere / ellipse / etc.
template<std::size_t I, typename Geometry >
void | boost::geometry::set_radius (Geometry &geometry, typename radius_type< Geometry >::type const &radius)
| Function to set the radius of a circle / sphere / ellipse / etc.

## Function Documentation

template<std::size_t I, typename Geometry >

radius_type<Geometry>::type boost::geometry::get_radius | ( | Geometry const & | geometry | ) |

Function to get radius of a circle / sphere / ellipse / etc.

Returns:
  radius The radius for a given axis

Parameters:

  geometry | the geometry to get the radius from

Template Parameters:

  I | index of the axis

template<std::size_t I, typename Geometry >

void boost::geometry::set_radius | ( | Geometry & | geometry,
|  | typename radius_type< Geometry >::type const & | radius
| ) |  |

Function to set the radius of a circle / sphere / ellipse / etc.

Template Parameters:

  I | index of the axis

Parameters:

  geometry | the geometry to change
  radius | the radius to set

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK